// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../FormatValidation";
export default class GetIssuerListMembersRequest extends ValidatedRequest {
    securityId;
    start;
    end;
    constructor({ securityId, start, end }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            start: FormatValidation.checkNumber({ min: 0 }),
            end: FormatValidation.checkNumber({ min: 0 }),
        });
        this.securityId = securityId;
        this.start = start;
        this.end = end;
    }
}
